% Calcul pour un bnficiaire seul l'AAH verse en fonction
% du salaire mensuel net imposable qu'il peroit
function aah = abattements_seul(salaire)
global smic;
global plafond_seul;
salaire_max = (plafond_seul+0.4*(smic*0.3*12))/(12*0.6);

if (salaire >= 0) && (salaire <= smic*0.3)
    assiette = round(0.2*(salaire*12));
elseif (salaire > smic*0.3) && (salaire < salaire_max)
    assiette = round(0.2*(smic*0.3*12)+0.6*(salaire*12-smic*0.3*12));
elseif (salaire > salaire_max)
    assiette = plafond_seul;
else
    assiette = plafond_seul;
end
aah = (plafond_seul-assiette)/12;

end